complexType "Portfolio"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyPortfolioName?, tradeId*, portfolio*
</...>

Content Model Elements (3):

  partyPortfolioName, portfolio (defined in Portfolio complexType), | tradeId (defined in Portfolio complexType)

Known Direct Subtypes (1):

  QueryPortfolio

All Direct / Indirect Based Elements (4):

  portfolio, portfolio (defined in Portfolio complexType), | queryPortfolio, queryPortfolio (defined in ReportContents complexType)

Known Usage Locations

- In derivations of other global types (1):
  QueryPortfolio (as extension base)
- As direct type of elements (2):

  portfolio, | portfolio (defined in Portfolio complexType)

Annotation
A type representing an arbitary grouping of trade references.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Portfolio"> <xsd:sequence> <xsd:element minOccurs="0" name="partyPortfolioName" type="PartyPortfolioName"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeId" type="TradeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolio" type="Portfolio"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
partyPortfolioName

  Type: | PartyPortfolioName, complex content

  The name of the portfolio together with the party that gave the name.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partyPortfolioName" type="PartyPortfolioName"/>

portfolio

  Type: | Portfolio, complex content

  An arbitary grouping of trade references (and possibly other portfolios).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolio" type="Portfolio"/>

tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeId" type="TradeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.